
//#define DEBUG

#define TIMEOUT                5      // Loss of comms timeout

#define STATE_INIT             0      // Status
#define STATE_DETECT           1      // Status
#define STATE_RUN              2      // Status
#define STATE_ALARM            3      // Status
#define STATE_COMS_LOST        4      // Status
#define STATE_FAIL             5      // Status

// Can interface wiring
#define CAN_CS_PIN            10      // MCP2515 Chip Select
#define CAN_INT_PIN           A0      // MCP2515 Interrupt

// Arduino wiring
#define LCD_RST               A1      // ST7920 A1 = Pin 15
#define LCD_RS                A2      // ST7920 A2
#define LCD_EN                A3      // ST7920 A3
#define LCD_D0                 2      // ST7920 
#define LCD_D1                 3      // ST7920 
#define LCD_D2                 4      // ST7920 
#define LCD_D3                 5      // ST7920
#define LCD_D4                 6      // ST7920 
#define LCD_D5                 7      // ST7920 
#define LCD_D6                 8      // ST7920 
#define LCD_D7                 9      // ST7920  

#define LEFT_BUTTON           A6      // Button - note needs pulll up
#define RIGHT_BUTTON          A7      // Button - note needs pulll up

const char *alarms0Strings[] = {"OVER VOLTAGE", "PRIMARY FAIL", "SECONDARY FAIL", "HIGH MAINS", "LOW MAINS", "HIGH TEMP", "LOW TEMP", "CURRENT LIMIT"};
const char *alarms1Strings[] = {"INTERNAL VOLTS", "MODULE FAIL", "SECONDARY FAIL", "FAN1 SPEED LOW", "FAN2 SPEED LOW", "SUB MOD1 FAIL", "FAN3 SPEED LOW", "INNER VOLT"};
